# newgrf_sound.h File Reference

Functions related to NewGRF provided sounds. More...

`#include "sound_type.h"`
`#include "tile_type.h"`
`#include "vehicle_type.h"`

Go to the source code of this file.

## Enumerations
enum | VehicleSoundEvent { VSE_START = 1, VSE_TUNNEL = 2, VSE_BREAKDOWN = 3, VSE_RUNNING = 4, VSE_TOUCHDOWN = 5, VSE_VISUAL_EFFECT = 6, VSE_RUNNING_16 = 7, VSE_STOPPED_16 = 8, VSE_LOAD_UNLOAD = 9 }
| Events at which a sound might be played. More...
## Functions
SoundEntry * | AllocateSound ()
void | InitializeSoundPool ()
SoundEntry * | GetSound (SoundID sound_id)
uint | GetNumSounds ()
bool | PlayVehicleSound (const Vehicle *v, VehicleSoundEvent event)
bool | PlayTileSound (const struct GRFFile *file, SoundID sound_id, TileIndex tile)

## Detailed Description

Functions related to NewGRF provided sounds.

Definition in file newgrf_sound.h.

## Enumeration Type Documentation

enum VehicleSoundEvent

Events at which a sound might be played.

Enumerator:

  VSE_START | Vehicle starting, i.e. leaving, the station.
  VSE_TUNNEL | Train entering a tunnel.
  VSE_BREAKDOWN | Vehicle breaking down.
  VSE_RUNNING | Vehicle running normally.
  VSE_TOUCHDOWN | Whenever a plane touches down.
  VSE_VISUAL_EFFECT | Vehicle visual effect (steam, diesel smoke or electric spark) is shown.
  VSE_RUNNING_16 | Every 16 ticks while the vehicle is running (speed > 0).
  VSE_STOPPED_16 | Every 16 ticks while the vehicle is stopped (speed == 0).
  VSE_LOAD_UNLOAD | Whenever cargo payment is made for a vehicle.

Definition at line 20 of file newgrf_sound.h.